Subject: [SWIPL] Trying to build Multi-thread version

From: "Danny Wages" <[email-masked]>
Date: Thu, 29 Mar 2001 09:16:51 -0700

Jan,
    I posted this to the mailing list but did not receive a response. I get
the error below when I try to build a multi-thread version of pl on linux.
If I remove the offending line from init.pl, the system seems to build but
the thread predicates are not present in the executable. 

Regards,

    Danny Wages

Danny Wages :- Avaya Communication, 303-538-3972, [email-masked]

-----Original Message-----
From: Danny Wages [mailto:[email-masked]]
Sent: Monday, March 26, 2001 10:23 AM
To: SWI SWI (E-mail)
Subject: [SWIPL] Cannot build Multi-threading version

I am trying to build a multi-threading version of SWI-Prolog 4.0.2 on Linux
7.0. The standard build works fine but if I build the Multi-thread version
as:

configure --enable-mt
make clean
make
.
.
.
Loading boot file...
[PROLOG SYSTEM ERROR: Thread 1
    Undefined predicate: system:print_message/2

PROLOG STACK:
    (1) system:format(Loading boot file...~n,[])
]

I am not sure why print_message is not defined in this case. Any help would
be appreciated.

Danny Wages :- Avaya Communication, 303-538-3972, [email-masked]